import 'package:json_annotation/json_annotation.dart';

part 'common_point_bean.g.dart';

@JsonSerializable()
class CommonPointBean {
  @JsonKey(name: 'title')
  final String title;

  @JsonKey(name: 'address')
  final String? address;

  CommonPointBean(this.title, this.address);

  factory CommonPointBean.fromJson(Map<String, dynamic> json) =>
      _$CommonPointBeanFromJson(json);

  Map<String, dynamic> toJson() => _$CommonPointBeanToJson(this);
}
